:root {
    --base-color: white;
    --font-color: black;
    --header-gradient: linear-gradient(to bottom, rgba(255, 255, 255, 1), rgba(255, 255, 255, 0.75));
    --invert-color: invert(0%);
    --darkmode-icon: url(assets/ico/moon-empty.png);
    --darkmode-pos: left;
}
.darkmode {
    --base-color: rgb(17, 17, 17);
    --font-color: rgb(230, 230, 230);
    --header-gradient: linear-gradient(to bottom, rgb(17, 17, 17), rgba(17, 17, 17, 0.75));
    --invert-color: invert(90%);
    --darkmode-icon: url(assets/ico/sun-empty.png);
    --darkmode-pos: right;
}
* {
  font-family: "Azeret Mono", monospace;
  scroll-behavior: smooth;
}
body, .wrapper {
    margin: 0 auto;
}
body {
    background-color: var(--base-color);
    color: var(--font-color);
    transition: .3s;
}
.wrapper {
    animation: fadeInAnimation ease 1s;
}
a {
    text-decoration: none;
}

/* HEADER */
.header {
    background-image: var(--header-gradient);
    height: 150px;
    display: flex;
    align-items: center;
    position: -webkit-sticky; /* Safari */
    position: sticky;
    top: 0;
    z-index: 2;
}
.header ul {
    list-style-type: none;
    margin: 0; padding: 0;
    width: 40%;
}
.header li {
    display: inline;
    font-size: 1.25rem;
    padding-left: 20px;
}
.header img {
    width: 256px;
    padding: 5px;
    margin-left: auto;
    pointer-events: none;
    filter: var(--invert-color);
}
.header a {
    text-decoration: none;
}
.header a:visited, .header a:link {
    color: var(--font-color);
    transition: .3s;
}
.header a:hover {
    color: #e13baf;
    transition: .3s;
}
.header a:active {
    color: #761e5b;
    transition: 0s;
}
a.active_page:visited, a.active_page:link{
    color: #e13baf;
}

/* PRIMARY CONTENT */
.releases, .artists, .shop, .events, .contact, .artist_bio_wrap {
    display: flex;
    flex-direction: column;
    margin: auto;
    width: 90%;
    max-width: 1080px;
    padding-bottom: 25px;
}
/* HOMEPAGE */
.main {
    width: 100vw;
    height: 77vh;
    background-color: #2F3666;
    position: relative;
}
.carousel {
    display: flex;
    gap: 0px;
    padding: 0px;
    list-style: none;
    overflow-x: scroll; scroll-snap-type: x mandatory;
    overflow-y: hidden;
}
.carousel li{
    flex-shrink: 0;
    width: 100%; height: 77vh;
    scroll-snap-align: center;
    background-color: aliceblue;
}
.carousel_item {
    display: flex;
    align-items: center; justify-content: center;
    height: 100%;
}
.carousel {
    scrollbar-width: none;
    -ms-overflow-style: none;
}
.carousel::-webkit-scrollbar{
    display: none;
}
.carousel_item img{
    width: 100%;
}
.carousel_logo_link {
    width: 75%;
}
.carousel h2{
    color: yellow;
    text-shadow: 0px 0px 5px black, 2px 2px black;
    font-size: 2rem;
    text-align: center;
    margin: 25px;
}
.gob_box {
    width: 40vw;
    position: relative;
    padding: 25px;
    left: 50%;
}
.gob_box h3 {
    color: black;
}
.button {
    position: absolute;
    border: 1px solid; border-radius: 100%;
    top: 50%; transform: translateY(-50%);
    width: 3.5rem; height: 3.5rem;
    font-size: 1.75em; text-align: center; padding: 0px; margin: 0px;
    background-image: linear-gradient(to right, #e13baf, #d057cc);
    color: #ffffff;
    cursor: pointer;
    box-shadow: 0px 0px 10px rgba(0, 0, 0, 0.5);
}
.button-prev{
    left: 1em;
}
.button-next{
    right: 1em;
}
.about {
    height: 250px;
    display: flex;
    justify-content: center;
    align-items: center;
    background-color: rgb(15, 15, 15);
    padding-top: 15px;
    padding-bottom: 15px;
}
.about_text {
    width: 90%;
    max-width: 1080px;
    color: rgb(219, 219, 219);
}

/* ARTISTS */
.artists_grid {
    display:grid;
    grid-template-columns: auto auto;
    justify-content: space-evenly;
    gap: 25px;
}
.artists_grid_item img{
    width: 512px;
    padding: 5px;
    transition: .3s;
}

/* RELEASES */
.releases_grid{
    display: grid;
    grid-template-columns: auto auto auto;
    justify-content: space-evenly;
    gap: 25px;
}
.releases_grid_item{
    width: 256px;
    padding: 5px;
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}
.releases_grid_item img, .releases_grid_item h3, .releases_grid_item h4, .releases_grid_item p {
    margin: 5px;
}
.releases_grid_item img {
    background-color: #2F3666;
    height: 250px; width: 250px;
    transition: .3s;
}
.releases_grid_item h3 {
    font-weight: bold;
}
.releases_grid_item h4 {
    opacity: 50%;
}
.releases_grid_item p {
    opacity: 30%;
    font-weight: lighter;
}

/* SHOP */
.shop_segment {
    display: grid;
    grid-template-columns: auto auto auto;
    justify-content: space-evenly;
    gap: 25px;
}
.shop_segment img{
    width: 300px;
}
.shop a, .artist_bio_wrap a{
    font-weight: bold;
    margin: 10px;
}
.shop a:link, .shop a:visited, .artist_bio_wrap a:link, .artist_bio_wrap a:visited, .about_paragraph_text a:link, .about_paragraph_text a:visited{
    color:#e13baf;
    transition: 0.3s;
}
.shop a:hover, .artist_bio_wrap a:hover, .about_paragraph_text a:hover {
    color:#761e5b;
    transition: 0.3s;
}
.shop_item {
    text-align: center;
    display: flex; flex-direction: column;
}
.shop_item p {
    margin: 5px;
    font-weight: normal;
    color: var(--font-color);
}

/* EVENTS */
.events img{
    filter: var(--invert-color);
}
.events_container {
    margin: 0 auto;
    display: grid;
    grid-template-columns: auto auto;
}
.events_item {
    display: inline-flex;
    margin: 20px;
    border-radius: 5px;
    border: 3px solid transparent;
    background: linear-gradient(var(--base-color), var(--base-color)) padding-box, linear-gradient(to left, #2F3666, #e13baf) border-box;
}
.events_item img {
    width: 200px; height: 250px;
    margin: 15px; padding: 5px;
    filter: invert(0%);
}
.events_item #placeholder {
    filter: var(--invert-color); opacity: 25%;
}
.events_item_text {
    width: 200px;
    border: 2px solid;
    border-color: #2f36667d;
    margin-top: 15px; margin-bottom: 15px; margin-right: 15px; padding: 5px;
}
.events_item h3 {
    margin-top: 0px;
}
.events_item a {
    color: #e13baf;
}
.events_item a:hover {
    color: #761e5b;
}

/* CONTACT */
.contact img {
    width: 75%
}
.about_paragraph {
    display: flex;
}
.about_paragraph_text {
    width: 70%;
    padding-right: 20px;
    padding-bottom: 20px;
}
.about_paragraph_img{
    object-fit: cover;
}
.socials {
    margin: 0 auto;
    margin-top: 10px;
}
.socials img {
    width: 48px;
    margin-left: 8px; margin-right: 8px;
    filter: var(--invert-color);
}
.socials a:hover {
    opacity: 50%;
    transition: 0.3s;
}

/* FOOTER */
.footer {
    height: 50px;
    display: flex;
    background-color: rgb(15, 15, 15);
    justify-content: center; align-items: center;
}
.footer p {
    color: rgb(86, 86, 86);
    font-size: .75rem; letter-spacing: -1px;
    padding-right: 15px;
}
.footer button {
    width: 40px;
    height: 30px;
    background-color: rgba(225, 59, 175, 0.727);
    border: none;
    border-radius: 100px;
    transition: .3s;
    cursor: pointer;
    background-image: url(assets/ico/darkmode.png); background-size: cover; background-repeat: no-repeat; background-position: var(--darkmode-pos);
}

/* LINK PAGE */
.links_body {
    background-image: url(assets/biglogo.jpg);
}
.links_header, .links_footer {
    display: flex;
    width: 100%;
    justify-content: center;
    padding: 25px;
}
#links_logo {
    width: 175px;
}
.links_body {
    width: 95%; max-width: 760px;
    margin: 0 auto;
}
.links_section {
    margin: 25px; padding: 15px;
    display: flex; flex-wrap: wrap;
    border: 2px solid transparent;
    background: linear-gradient(white, white) padding-box, linear-gradient(to left, #2F3666, #e13baf) border-box;
    border-radius: 10px;
}
.links_section h3 {
    font-size: 1.1rem;
}
.links_section a {
    color:#000;
    transition: .3s;
}
.links_section a:hover {
    color: #e13baf;
    transition: .3s;
}
.links_section a:active {
    color: #000;
    transition: .3s;
}
.indiv_link {
    width: 100%; display: flex; align-items: center; flex-wrap: wrap;
}
.indiv_link i {
    margin: 0; padding-right: 10px;
    opacity: 50%;
}

/* DECORATIVE */
.releases_grid_item img:hover, .artists_grid_item img:hover, .shop_item img:hover{
    transform: scale(1.05);
    transition: 0.3s;
}
.dec_gradient {
    height: 25px;
    background-image: linear-gradient(to right, #e13baf, #2F3666);
}
hr {
    display: block;
    height: 1px;
    border: 0;
    border-top: 1px solid #ccc;
    margin: 1em 0;
    padding: 0;
}
.about, .footer{
    background-image: linear-gradient(to right, #e13baf2a, #2F36662a);
}
@keyframes fadeInAnimation {
    0% {
        opacity: 0;
    }

    100% {
        opacity: 1;
    }
}

/* RESPONSIVE */
@media only screen and (max-width: 1140px) {
    .events_container {
        grid-template-columns: auto;
    }
    .about_paragraph {
        flex-direction: column;
    }
    .about_paragraph_text {
        padding-right: 0;
        width: 100%;
    }
    .about_paragraph_img {
        align-self: center;
    }
}

@media only screen and (max-width: 950px) {
    .button {
        display: none;
    }
    .releases_grid{
        grid-template-columns: auto auto;
    }
    .artists_grid{
        grid-template-columns: auto;
    }
    .artists_grid_item img{
        width: 90%;
    }
    .shop_segment{
        grid-template-columns: auto auto;
    }
}

@media only screen and (max-width: 650px) {
    .wrapper {
        overflow-x: hidden;
        overflow-y: hidden;
    }
    .header li{
        font-size: 1.1rem;
    }
    .releases_grid{
        grid-template-columns: auto auto;
    }
    .releases_grid_item{
        width: 150px;
    }
    .releases_grid_item img{
        width: 150px; height: 150px;
    }
    .shop_segment{
        grid-template-columns: auto;
    }
    .events_item {
        flex-direction: column;
    }
    .events_item_text {
        margin:15px; padding: 5px;
    }
}

@media only screen and (max-width: 410px) {
    .header ul li {
        font-size: .9rem;
    }
    .header {
        flex-direction: column-reverse;
        padding-top: 25px;
        padding-bottom: 10px;
    }
    .header img {
        margin: 0 auto;
    }
    .header ul {
        width: 100%;
    }
    .about {
        height: 400px;
    }
}
@media only screen and (max-width: 380px) {
    .releases_grid{
        grid-template-columns: auto;
    }
    .releases_grid_item{
        width: 250px;
    }
    .releases_grid_item img{
        width: 250px; height: 250px;
    }
    .shop_segment img{
        width: 250px;
    }
    .events_item img {
        width: 175px; height: 175px;
    }
    .events_item_text {
        width: 175px;
    }
}